package userrpc

import (
	"encoding/json"
	"errors"
	"strconv"
	"time"

	"git.tetele.net/tgo/crypter"
	"github.com/golang/protobuf/proto"
)

/**
 * 绑定粉丝
 * 2021/10/23
 * gz
 */
func Fans(site_id, dbname, user_id, business_id string, url ...string) error {

	conn, err := rpc_server_conn(url...)
	if err != nil {
		return nil, err
	}
	defer conn.Close()

	data := FansReq{}
	data.SiteId = site_id
	data.Dbname = dbname
	data.UserId = user_id
	data.BusinessId = business_id

	data_json, err := json.Marshal(data)
	if err != nil {
		return nil, err
	}

	SetReqData(data)

	res := &Response{}

	err = conn.Fans(req, res)

	if err != nil {
		return nil, err
	}

	_, err := GetResData(res)

	return err
}
